petsc-3.10.5 2019-03-28
Report Typos and Errors

# AOCreateMappingIS

Creates a basic application ordering using two index sets.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreateMappingIS(IS isapp, IS ispetsc, AO *aoout)

### Input Parameters

| comm | - MPI communicator that is to share AO
| isapp | - index set that defines an ordering
| ispetsc | - index set that defines another ordering, maybe NULL for identity IS

### Output Parameter

aoout -the new application ordering

### Options Database Key

-ao_view : call AOView() at the conclusion of AOCreateMappingIS() -

### Notes

the index sets isapp and ispetsc need NOT contain the all the integers 0 to N-1, that is there CAN be "holes" in the indices. Use AOCreateBasic() or AOCreateBasicIS() if they do not have holes for better performance.

### Keywords

AO, create

### See Also

AOCreateBasic(), AOCreateMapping(), AODestroy()

### Level

beginner

### Location

src/vec/is/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages